Subject: bug#8028: closed (Re: bug#8028: 24.0.50; OSX: configure with toolkit lucid - missing -lfreetype)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 27 Mar 2012 00:34:02 +0000

Your bug report

#8028: 24.0.50; OSX: configure with toolkit lucid - missing -lfreetype

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8028: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8028
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8028: 24.0.50; OSX: configure with toolkit lucid - missing -lfreetype
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Mon, 26 Mar 2012 20:01:45 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.1

Sorry for the delay. I imagine this was fixed by this change

http://lists.gnu.org/archive/html/emacs-diffs/2011-03/msg00088.html

Please let us know if you still see this issue.

Subject: 24.0.50; OSX: configure with toolkit lucid - missing -lfreetype
From: Harald Maier <[email-masked]>
To: [email-masked]
Date: Sun, 13 Feb 2011 11:18:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I am using Mac Ports and OSX X11. When I configure emacs with

  ./configure --with-x-toolkit=lucid

then the src/Makefile misses the "-lfreetype" although configure sets 

  #define HAVE_FREETYPE 1

My workaround is to use

  ./configure --with-x-toolkit=lucid \
              --x-libraries="/usr/X11/lib -lfreetype"  

Harald

In GNU Emacs 24.0.50.2 (x86_64-apple-darwin10.6.0, X toolkit)
 of 2011-02-13 on ate.maierh
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
configured using `configure  '--with-x-toolkit=athena''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t